import { ReactNode, ComponentType } from 'react';
import { LinkProps } from '@teambit/ui.routing.native-link';
import { NavLinkProps } from '@teambit/ui.routing.native-nav-link';
export declare type Location<State = any> = {
    pathname: string;
    search: string;
    state?: State;
    hash: string;
    key?: string;
};
export interface Routing {
    Link: ComponentType<LinkProps>;
    NavLink: ComponentType<NavLinkProps>;
    useLocation: <State>() => Location<State>;
}
/**
 * Injects routing components into context
 */
export declare function RoutingProvider({ value, children }: {
    value: Routing;
    children: ReactNode;
}): JSX.Element;
/**
 * Gets routing components from context.
 * (defaults to native components)
 */
export declare function useRouting(): Routing;
/**
 * equivalent to window.location
 */
export declare function useLocation(): Location<unknown>;
